/*TEAM SHORTCODE*/

.team-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(330px, 1fr));
    gap: 1.8rem;
    max-width: 1180px;
    margin: 0 auto;
    padding: 20px 0;
}

.team-card {
    display: flex;
    flex-direction: column;
    background-color: var(--color-white);
    transition: box-shadow .3s ease-in-out;
}

.team-card__image-wrapper {
    overflow: hidden;
    line-height: 0;
    background-image: url(https://compasspropertysales.crochet.com.pt/wp-content/uploads/2025/12/team-background.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.team-card__image {
    width: 100%;
    height: auto;
    display: block;
    object-fit: cover;
    height: 400px !important;
}

.team-card__content {
    padding: 25px 0;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-family: var(--font-primary);
}

.team-card__bottom {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-items: start;
    gap: 1rem;
}

.team-card__name {
    font-family: var(--primary-font-family);
    font-size: 1.5rem;
    font-weight: 400;
    color: var(--color-primary);
    margin: 0;
    letter-spacing: 1px;
}

.team-card__position {
    font-family: var(--primary-font-family);
    font-size: .9rem;
    font-weight: 400;
    color: var(--color-text);
    margin: 0 0 15px 0;
}

.team-card__contact-list {
    display: flex;
    justify-content: start;
    gap: 15px;
}

.team-card__contact-link {
    color: var(--color-text);
    text-decoration: none;
    transition: color .2s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 35px;
    background-color: var(--color-secondary);
}

.team-card__contact-link:hover {
    background-color: var(--color-primary) !important;
    color: #fff;
    border-color: var(--color-primary) !important;
}

.team-card__contact-icon {
    width: 20px;
    height: 20px;
    stroke: currentColor;
    stroke-width: 1.5;
    fill: none;
}

.team-card__button {
    display: inline-block;
    padding: 0.5rem 2.25rem !important;
    background-color: var(--color-secondary) !important;
    color: var(--color-white);
    border: 1px solid var(--color-secondary) !important;
    text-transform: uppercase;
    font-size: .75rem;
    font-weight: 500;
    letter-spacing: 1px;
    cursor: pointer;
    transition: background-color .2s ease-in-out, color .2s ease-in-out;
    align-self: center;
    width: 100%;
    max-width: 160px;
}

.team-card__button:hover {
    background-color: var(--color-primary) !important;
    color: #fff;
    border-color: var(--color-primary) !important;
}

.team-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10000;
    display: none;
    justify-content: center;
    align-items: center;
    overflow-y: auto;
    padding: 20px;
}

.team-modal.is-open {
    display: flex;
}

.team-modal__backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(62, 35, 98, 0.9);
}

.team-modal__content {
    background-color: var(--color-white);
    position: relative;
    z-index: 1001;
    max-width: 850px;
    width: 100%;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .2);
    margin: 50px 0;
}

.team-modal__container {
    display: grid;
    grid-template-columns: minmax(0, 320px) 1fr;
    min-height: 450px;
}

.team-modal__close {
    position: absolute;
    top: 15px;
    left: 15px;
    background: none;
    border: none;
    cursor: pointer;
    padding: 5px 10px !important;
    color: var(--color-secondary) !important;
    transition: color .2s;
    font-size: 3.25rem !important;
    line-height: 1;
    background-color: transparent !important;
    border: none !important;
}

.team-modal__close:hover {
    color: var(--color-primary);
}

.team-modal__header {
    /*padding-bottom: 15px; margin-bottom: 20px;*/
    display: flex;
    align-items: end;
}

.team-modal__title {
    display: grid;
    grid-template-columns: 1fr minmax(0, 90px);
    align-items: center;
}

.team-modal__image {
    width: 100%;
    height: auto !important;
    object-fit: cover;
    display: block;
    margin: 0 auto 0 auto;
}

.team-modal__name {
    font-family: var(--font-primary);
    font-size: 2rem;
    font-weight: 500;
    color: var(--color-primary);
    margin: 0;
    letter-spacing: 1px;
}

.team-modal__position {
    font-family: var(--font-primary);
    font-size: 0.95rem;
    font-weight: 400;
    color: var(--color-primary);
    margin: 5px 0 10px 0;
    letter-spacing: 2px;
}

.team-modal__body {
    max-width: 450px;
    margin: auto;
    padding: 30px 0;
}

.team-modal__body p {
    font-family: var(--font-primary) !important;
    font-size: 12px;
    line-height: 22px;
    color: var(--color-text);
    margin-bottom: 15px;
    max-width: 424px;
}

.team-modal__footer {
    border-top: 1px solid #e0e0e0;
    padding-top: 15px;
    margin-top: 20px;
}

.team-modal__contact-list {
    display: flex;
    justify-content: center;
    gap: 0.9rem;
    flex-wrap: wrap;
}

.team-modal__contact-link {
    font-family: var(--primary-font-family);
    font-size: 1rem;
    background-color: var(--color-secondary) !important;
    text-decoration: none;
    transition: color .2s ease-in-out;
    display: flex;
    align-items: center;
    width: 35px;
    height: 35px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.team-modal__contact-link:hover {
    color: var(--color-primary);
    text-decoration: underline;
}

.team-modal__contact-icon {
    width: 18px;
    height: 18px;
    stroke: #fff;
    fill: none;
    stroke-width: 1.5;
}

.team-modal__header .team-modal__contact-list {
    display: none;
}

@media (max-width: 992px) {
    .team-modal__content {
        max-height: 100vh;
    }
    
    .team-modal__container{
        overflow: hidden;
    }

    .team-modal__container,
    .team-modal__title {
        grid-template-columns: 1fr;
    }

    .team-modal__close {
        padding: 0 5px !important;
    }

    .team-modal__body {
        padding: 30px 20px;
    }

    .team-modal__header {
        padding: 0 1rem;
    }

    .team-modal__image {
        border-bottom: 1px solid var(--color-secondary);
    }

    .team-modal__text {
        max-height: 280px;
        overflow-y: auto;
    }

    .team-modal__body p {
        padding-right: 15px;
    }

    .team-modal__header {
        max-width: 95%;
        margin: 0 auto;
        border-bottom: 1px solid var(--color-secondary);
    }

    .team-modal__title .team-modal__contact-list {
        display: none;
    }

    .team-modal__header .team-modal__contact-list {
        display: flex;
        margin-bottom: 40px;
        gap: 1rem;
    }
}

@media (min-width: 2400px) {
    .team-grid {
        max-width: 1920px;
    }
}